Metroid Dread Switch NSP/XCI + Update 2.1.0

Metroid Dread Switch NSP

Title: Metroid Dread
Release Date: Oct 08, 2021
Category: Action, Adventure
Publisher: Nintendo
Type: Physical
Format: XCI/NSP
Title ID: 010093801237C000
Title Size: 4.12 GB
Language: En, Fr, De, It, Es, Ja, Ko, Nl, Zh
Required Firmware: 12.1.0
CFW: 12.1.0 + Atmosphere 0.19.0

Metroid Dread NSP is an action-adventure game developed by MercurySteam and Nintendo EPD for the Nintendo Switch.

Description: Join bounty hunter Samus Aran as she tries to escape a deadly alien world plagued by a mechanical menace. Upon investigating a mysterious transmission on Planet ZDR, Samus faces a mysterious foe that traps her in this dangerous world. The remote planet has been overrun by vicious alien lifeforms and murderous robots called E.M.M.I. Hunt or be hunted as you make your way through a labyrinth of enemies in Samus’ most intense side-scrolling adventure yet.

How to Install the Game

  1. Install the NSP via Tinfoil, or DBI Installer.
  2. Once installations is done play and Enjoy the game.

Download Links

Base Game NSP (4.12 GB)

1Fichier
Download

HexUpload
Download

MegaUp
Download

Torrent
Download

Base Game XCI (4.12 GB)

1Fichier
Download

HexUpload
Download

MegaUp
Download

Torrent
Download

Update 2.1.0 (v327680)

Please report the broken/dead/missing links into the comment section.

guest

437 Comments
Newest
Oldest Most Voted
Inline Feedbacks
View all comments
jack
jack
1 year ago

Heads up: Base game + update 1.0.1 works perfectly fine on FW13.0.0/AMS 1.2.1
Installed using latest Tinfoil + Nut.

Amaquis
Amaquis
1 year ago

Works flawlessly on 13.0.0|AMS 1.1.1|S
Used Tinfoil to install with most update sigpatches from ITotalJustice.

Joseph dangler-palmer
Joseph dangler-palmer
1 year ago
Reply to  AdminNx

is the nsp offical or an xci conversion?

Franco Santamarina Calvi
Franco Santamarina Calvi
1 year ago
Reply to  Amaquis

Bro thank you so much!!!! i usually use Awoo but nowdays its imposible for mi to install something. You solved my problem man i rlly appreciate you post.

some guy
some guy
13 hours ago

Why is the Zippyshare file only 23.8MB? obviously cant be the rom.

robioom
robioom
28 days ago

the sound is broken

robioom
robioom
27 days ago
Reply to  AdminNx

i tried and is stil broken and i even try xci

robioom
robioom
27 days ago
Reply to  AdminNx

and also im using yuzu 1220

john elijah
john elijah
3 months ago

all working good thus far!

Alwejandro
Alwejandro
4 months ago

contraseña del archivo?

larbiannim1
larbiannim1
4 months ago

the hexupload says that the file was not found for the game fix pls

Ernando
Ernando
6 months ago

Google Drive off

Rakantoh
Rakantoh
6 months ago

I have a question, is neccesary install all updates? or i can install only the latest update? Thanks

John Trần
John Trần
6 months ago

update 2.1.0 failed to install on PC
i used YUZU,does anyone know how to fix ?

Nemeo
Nemeo
6 months ago

Hi, i installed the base-game and the 2.1.0 update.
However, once launch, the game close in 2 secs for an “unknow error”
what can i do ? thank for your answer.

suichy~chan
7 months ago

please upload Transiruby (metroidvania genre)thx senpai

Shmario
Shmario
7 months ago

Metroid Dread Update 2.1.0 Patched for SX OS Firmware 11.0.0

http://1link.club/74114

capnjazz
capnjazz
7 months ago

yo is the new update interesting or is it just bugfixes? super curious, and yet also lazy

Joshua
Joshua
7 months ago

Can you update dread please :3

persona
persona
7 months ago

Do you have the 2.1.0 update?

persona
persona
7 months ago
Reply to  AdminNx

Thanks

Vega
Vega
8 months ago

Download the nsp version from torrent and 1fichier and in goldleaf it won’t let me install it due to an unknown error and tinfoil installs it but when I return to the menu, the console detects it as a corrupted program.

Vega
Vega
7 months ago
Reply to  AdminNx

It could be installed with Goldleaf when I updated sigpatches and launched fusee.bin together with atmosphere, but when I start the game I get an error and the app closes.
FW: 12.2.1 / AMS 1.2.6

Anon
Anon
8 months ago

blocked

mie
mie
9 months ago

“The software was closed because an error occurred”

i already update fw and atmos to latest. fw 13.2.1 and athmos 1.2.6
and updated sigpatch

does anyone succeed install the game nsp with update 2.0?

mulin
mulin
9 months ago
Reply to  mie

I got the same error.
Then I downloaded the xci version. It’s worked.
I guess maybe the NSP version was damaged during my downloading.

Don
Don
9 months ago

Any news about 2.0 patch released yesterday?

mie
mie
9 months ago
Reply to  Don

can u play the game with update?
did u used nsp file?

HaroldBishop
HaroldBishop
9 months ago

Please could we have the latest update whenever you are ready Admin?

I badly need the Rookie mode, lol
Thanx!

Mauricio
Mauricio
9 months ago

perfect in atmosphere 1.2.6 – 13.2.6, use woo intaller

Safc
Safc
10 months ago

Can I use awo to install the game ?

BillyBob
BillyBob
10 months ago

MegaUp link has anti-adblock and shufffles between multiple types of malware when you try to download.

Nintendero
Nintendero
10 months ago
Reply to  AdminNx

JDownloader no descarga de MegaUp. En mi caso cierro las páginas que abre y uso un antivirus para que bloquee el malware.

Krong
Krong
11 months ago

This won’t install for me. I’ve tried redownloading and multiple installers. Is there any chance of an alternate game file? I can’t seem to find the issue.

Krong
Krong
10 months ago
Reply to  AdminNx

This is through goldleaf
“An error occured attempting to install the NSP

Error: 2002-6400 (0x320002)
Module file system (2)
Description: Unknown or undocumented error (6400)”

Krong
Krong
10 months ago
Reply to  AdminNx

Hmmm okay thanks! I’m not sure how to do that, but I can look around the internet. Unless there’s a stupidly easy way to do it aha

Rakantoh
Rakantoh
11 months ago

Hi. The 1.0.2 and 1.0.3 updates are small compared to 1.0.1. Can i directly apply the 1.0.3 update, or i must apply the 1.0.1, the 1.0.2 and the 1.0.3? thanks.

gergivanus
gergivanus
11 months ago

Thanks for everything nx admin

Christian
Christian
11 months ago

Hi guys I’ve your the next configuration metroit update 1.0.3 on FW13.0.0/AMS 1.1.1 install with Goldleaf 0.9.0 but the game shows me the error “the program has been closed due to an error ” in spanish “se ha cerrado el programa a causa de un error”

Christian
Christian
11 months ago
Reply to  AdminNx

nope admin I have 13.1.0|ams 1.2.2|S and the answer it’s the same

Christian
Christian
11 months ago
Reply to  AdminNx

the solutions was download the patch from tinfoil and basegame from here …

Kingus
11 months ago

cant install update 1.0.3 for yuzu emulator, says fialed to install.

Sasageyo
11 months ago

hi, so im planning buy switch lite. someday im going to use cfw on this switch lite, which cfw is capable to still play online, while it got cfw ??? (without mod chip). i watch youtube for example tinfoil… but im still dont understand how it work T T. Senpai help me ~~~~

sasageyo
11 months ago
Reply to  AdminNx

so which cfw can i use in switch lite without mod chip ??? ( is it something like RCM L*ader?)

sasageyo
11 months ago
Reply to  AdminNx

is RCM L*ader work in original switch, without mod chip?? which cfw can work without mod chip ?? tq.

bootleg
bootleg
1 year ago

unable to download torrent. link is broken.

Juan
Juan
1 year ago

Installed using awoo installer. And both latest version of Firmware and Custom Firmware. And works!

Yagami
Yagami
1 year ago

update 1.0.3 , winrar needs password to extract

persona
persona
1 year ago

Do you have the new 1.0.3 update?

persona
persona
1 year ago
Reply to  AdminNx

Thanks

MAYCON DA SILVA MOREIRA
MAYCON DA SILVA MOREIRA
1 year ago

what is the password to open winrar?

spy
spy
1 year ago

Base game reports as corrupted

Ak4NX
Ak4NX
1 year ago

Had a weird behavior. Installed 1.0.2 on top of a 1.0.0 XCI installation. Game started to crash.
Had to delete the game, install from NSP instead of XCI, then aplly patches.
Works perfectly now. Installed with Tinfoil on HOS 13.1.0 and AMS 1.2.4.
Thanx to the uploaders and to NXBrew.

Jorge Cotrina
Jorge Cotrina
1 year ago

file failed to update :C in Yuzu

Kingus
1 year ago

cant install update says i file failed to update

Kootje
Kootje
1 year ago
tay
tay
1 year ago

thank update 1.0.2 work fine on FW13.0.0/AMS 1.1.1 install with Tinfoil 13.0

Christian
Christian
11 months ago
Reply to  tay

tay I’ve your same configuration but the game shows me the error “the program has been closed due to an error ” metroit update 1.0.3 on FW13.0.0/AMS 1.1.1 install with Goldleaf 0.9.0

Geosquare
Geosquare
1 year ago

1.0.2 please

persona
persona
1 year ago

Do you have the new 1.0.2 update?

persona
persona
1 year ago
Reply to  AdminNx

Thanks.

Geosquare
Geosquare
1 year ago

Please add 1.0.2

Jay
Jay
1 year ago

1.0.2 update is out.

John Smith
John Smith
1 year ago

So, searched for this with no result. Game crashes when you try to get the train to Burenia for the first time. ‘Corrupt data found’ – reinstalling using tinfoil doesn’t work. Any ideas? Latest versions on all.

Erik
Erik
1 year ago

Se puede instalar vía QUARK con goldleaf?

yyyy
yyyy
1 year ago

Thank you so much

Chunky
Chunky
1 year ago

NOTE: DO NOT USE GOLDLEAF
if you get the error “Software Closed Because an Error Occurred”when you try to launch, it may be becuase you installed using Goldleaf. Caused me no small amount of grief. USE TINFOIL TO INSTALL
I am on Firmware 13.1, atmosphere 1.2.2 with the latest sigpatches from itotaljustice.

If you want to update your shit, first update atmosphere and hekate, then sig patches, then update the switch firmware from darthsternie using daybreak.

GOOD LUCK!!!

Tou
Tou
1 year ago
Reply to  Chunky

But tinfoil is just aviable for 13.0.0. How you did it?

Tsun
Tsun
1 year ago
Reply to  Tou

if you use awoo it counts as a tinfoil install, try that.

jaroomba
jaroomba
1 year ago

Is there going to be a torrent for the Update file? All links are full of viruses

Link
Link
1 year ago

the base game nsp isn’t eshop verified? got yellow caution using dbi installer

Link
Link
1 year ago
Reply to  AdminNx

if you say so, i trust you.
using dbi 330 shows
3 times of yellow [HASH FIXED IN META]
not sure what that means maybe it just will show up in certain games’ installation. it never happened before when i install something that i believe it’s verified

Last edited 1 year ago by Link
Link
Link
1 year ago
Reply to  AdminNx

if u mean 1.0.1 update nsp, its perfectly fine
if you mean base game nsp, it still has 3 yellow [HASH FIXED IN META] during installation

newest mario party base game nsp doesn’t have this issue

Jose Pablo Perez
Jose Pablo Perez
1 year ago

Se puede parchear para que funcione desde la versión de FW 10?